> ## Documentation Index
> Fetch the complete documentation index at: https://docs.splox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get MCP Catalog Item

> Returns one MCP catalog item by ID.

Retrieves one MCP catalog item by ID.

## Usage

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://app.splox.io/api/v1/mcp-catalog/YOUR_CATALOG_ID" \
    -H "Authorization: Bearer YOUR_TOKEN"
  ```

  ```python Python theme={null}
  from splox import SploxClient

  client = SploxClient(api_key="YOUR_API_KEY")
  item = client.mcp.get_catalog_item("YOUR_CATALOG_ID")
  print(item.name, item.auth_type)
  ```

  ```typescript Node.js theme={null}
  import Splox from "splox";

  const client = new Splox("YOUR_API_KEY");
  const item = await client.mcp.getCatalogItem("YOUR_CATALOG_ID");
  console.log(item.name, item.auth_type);
  ```

  ```go Go theme={null}
  item, err := client.MCP.GetCatalogItem(ctx, "YOUR_CATALOG_ID")
  if err != nil {
      panic(err)
  }
  fmt.Println(item.Name, item.AuthType)
  ```
</CodeGroup>


## OpenAPI

````yaml GET /mcp-catalog/{id}
openapi: 3.1.0
info:
  title: Splox API
  description: >-
    Run workflows, manage chats, receive events, and monitor execution via the
    Splox API
  version: 1.0.0
  contact:
    name: Splox Support
    email: support@splox.io
    url: https://community.splox.io
servers:
  - url: https://app.splox.io/api/v1
    description: Production API
security: []
tags:
  - name: MCP
    description: Discover MCP servers, manage connections, and execute MCP tools
  - name: Workflows
    description: List, get, and inspect workflows, versions, and nodes
  - name: Workflow Requests
    description: Run workflows, monitor execution, and retrieve results
  - name: Events
    description: Receive external events via Event Hub webhooks
  - name: Chats
    description: Manage chat sessions for workflow interactions
paths:
  /mcp-catalog/{id}:
    get:
      tags:
        - MCP
      summary: Get MCP Catalog Item
      description: Returns one MCP catalog item by ID.
      operationId: getMCPCatalogItem
      parameters:
        - name: id
          in: path
          required: true
          description: MCP catalog item ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Catalog item retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  mcp_server:
                    $ref: '#/components/schemas/MCPCatalogItem'
        '404':
          description: MCP catalog item not found
      security:
        - bearerAuth: []
components:
  schemas:
    MCPCatalogItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        url:
          type: string
        transport_type:
          type: string
        auth_type:
          type: string
        auth_config:
          type: object
          additionalProperties: true
          nullable: true
        image_url:
          type: string
          nullable: true
        category:
          type: string
          nullable: true
        is_featured:
          type: boolean
        display_order:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - name
        - url
        - transport_type
        - auth_type
        - is_featured
        - created_at
        - updated_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API token generated from your Splox account settings. Create tokens at
        https://app.splox.io/account?tab=settings

````